| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jcphuff.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`
`#include "jchuff.h"`

Go to the source code of this file.

## Classes
struct | phuff_entropy_encoder

## Macros
#define | JPEG_INTERNALS
#define | MAX_CORR_BITS 1000 /* Max # of correction bits I can buffer */
#define | ISHIFT_TEMPS
#define | IRIGHT_SHIFT(x, shft) ((x) >> (shft))
#define | emit_byte(entropy, val)

## Typedefs
typedef phuff_entropy_encoder * | phuff_entropy_ptr

## Functions
| METHODDEF (boolean)
| dump_buffer (phuff_entropy_ptr entropy)
INLINE | emit_bits (phuff_entropy_ptr entropy, unsigned int code, int size)
| flush_bits (phuff_entropy_ptr entropy)
INLINE | emit_symbol (phuff_entropy_ptr entropy, int tbl_no, int symbol)
| emit_buffered_bits (phuff_entropy_ptr entropy, char *bufstart, unsigned int nbits)
| emit_eobrun (phuff_entropy_ptr entropy)
| emit_restart (phuff_entropy_ptr entropy, int restart_num)
| encode_mcu_DC_first (j_compress_ptr cinfo, JBLOCKROW *MCU_data)
| encode_mcu_AC_first (j_compress_ptr cinfo, JBLOCKROW *MCU_data)
| encode_mcu_DC_refine (j_compress_ptr cinfo, JBLOCKROW *MCU_data)
| encode_mcu_AC_refine (j_compress_ptr cinfo, JBLOCKROW *MCU_data)
| finish_pass_phuff (j_compress_ptr cinfo)
| finish_pass_gather_phuff (j_compress_ptr cinfo)
| jinit_phuff_encoder (j_compress_ptr cinfo)

## Macro Definition Documentation

#define emit_byte | ( |  | entropy,
|  |  | val
| ) |  |

Value:
{ *(entropy)->next_output_byte++ = (JOCTET) (val); \
if (--(entropy)->free_in_buffer == 0) \
dump_buffer(entropy); }
val
int val
Definition: jpeglib.h:956
JOCTET
char JOCTET
Definition: jmorecfg.h:115

Definition at line 198 of file jcphuff.c.

#define IRIGHT_SHIFT | ( |  | x,
|  |  | shft
| ) |  | ((x) >> (shft))

Definition at line 85 of file jcphuff.c.

#define ISHIFT_TEMPS

Definition at line 84 of file jcphuff.c.

#define JPEG_INTERNALS

Definition at line 15 of file jcphuff.c.

#define MAX_CORR_BITS 1000 /* Max # of correction bits I can buffer */

Definition at line 70 of file jcphuff.c.

## Typedef Documentation

typedef phuff_entropy_encoder* phuff_entropy_ptr

Definition at line 62 of file jcphuff.c.

## Function Documentation

dump_buffer | ( | phuff_entropy_ptr | entropy | ) |

Definition at line 205 of file jcphuff.c.

INLINE emit_bits | ( | phuff_entropy_ptr | entropy,
|  | unsigned int | code,
|  | int | size
| ) |  |

Definition at line 228 of file jcphuff.c.

emit_buffered_bits | ( | phuff_entropy_ptr | entropy,
|  | char * | bufstart,
|  | unsigned int | nbits
| ) |  |

Definition at line 297 of file jcphuff.c.

emit_eobrun | ( | phuff_entropy_ptr | entropy | ) |

Definition at line 316 of file jcphuff.c.

emit_restart | ( | phuff_entropy_ptr | entropy,
|  | int | restart_num
| ) |  |

Definition at line 347 of file jcphuff.c.

INLINE emit_symbol | ( | phuff_entropy_ptr | entropy,
|  | int | tbl_no,
|  | int | symbol
| ) |  |

Definition at line 281 of file jcphuff.c.

encode_mcu_AC_first | ( | j_compress_ptr | cinfo,
|  | JBLOCKROW * | MCU_data
| ) |  |

Definition at line 464 of file jcphuff.c.

encode_mcu_AC_refine | ( | j_compress_ptr | cinfo,
|  | JBLOCKROW * | MCU_data
| ) |  |

Definition at line 618 of file jcphuff.c.

encode_mcu_DC_first | ( | j_compress_ptr | cinfo,
|  | JBLOCKROW * | MCU_data
| ) |  |

Definition at line 377 of file jcphuff.c.

encode_mcu_DC_refine | ( | j_compress_ptr | cinfo,
|  | JBLOCKROW * | MCU_data
| ) |  |

Definition at line 571 of file jcphuff.c.

finish_pass_gather_phuff | ( | j_compress_ptr | cinfo | ) |

Definition at line 767 of file jcphuff.c.

finish_pass_phuff | ( | j_compress_ptr | cinfo | ) |

Definition at line 746 of file jcphuff.c.

flush_bits | ( | phuff_entropy_ptr | entropy | ) |

Definition at line 267 of file jcphuff.c.

jinit_phuff_encoder | ( | j_compress_ptr | cinfo | ) |

Definition at line 814 of file jcphuff.c.

METHODDEF | ( | boolean |  | ) |

Definition at line 89 of file jcphuff.c.